<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\User\UserId;
use DomainException;

use function sprintf;

final class EleveDejaAffecteException extends DomainException
{
    public static function pourAnneeScolaire(UserId $studentId): self
    {
        return new self(sprintf(
            'L\'élève "%s" est déjà affecté à une classe pour cette année scolaire.',
            $studentId,
        ));
    }
}
